TF_CryptoSystemBase< INTERFACE, BASE > Class Template Reference

_ More...

`#include <pubkey.h>`

Inheritance diagram for TF_CryptoSystemBase< INTERFACE, BASE >:

## Public Member Functions

bool | ParameterSupported (const char *name) const
size_t | FixedMaxPlaintextLength () const
size_t | FixedCiphertextLength () const
size_t | MaxPlaintextLength (size_t ciphertextLength) const
size_t | CiphertextLength (size_t plaintextLength) const

## Protected Member Functions

size_t | PaddedBlockByteLength () const
size_t | PaddedBlockBitLength () const

## Detailed Description

### template<class INTERFACE, class BASE>
class TF_CryptoSystemBase< INTERFACE, BASE >

_

Definition at line 153 of file pubkey.h.

The documentation for this class was generated from the following file:

- pubkey.h